Subject: Re: bug#67310: [PATCH] Include the project--list as history when prompting for a project

From: Eli Zaretskii <[email-masked]>
Date: Sat, 25 Nov 2023 16:10:09 +0200

> Date: Sat, 25 Nov 2023 16:05:03 +0200
> Cc: [email-masked], [email-masked], [email-masked]
> From: Dmitry Gutov <[email-masked]>
> 
> > I generally request and expect people not to make unnecessary changes,
> > since doing that makes forensics harder: you see changes which don't
> > change the code's semantics, and need to waste time studying such
> > "changes" and deciding that they are no-ops.
> > 
> > Please everyone keep this in mind when you make changes.
> 
> In general we don't frown in making minor cosmetic changes in the same 
> area as major meaningful changes are done.

Yes, if the changes are for the better.  In this case, they seem to be
due to someone's personal stylistic preferences, so their value is
questionable at best.

> > I think this is not a good idea, regardless of the reasons.  Users
> > have these options to control how history functionality behaves in
> > Emacs, and here you take away that control with no "fire escape".
> 
> Actually, never mind: the latest version of the patch doesn't use 
> 'add-to-history', or reference these variables.

Good.